#version 150

uniform sampler2D tex0; // this should hold the texture rendered by the horizontal blur pass
uniform int gaussActive;

in vec2 texCoord;
out vec4 outputFrag;

const float blurSize = 1.0/800.0;

void main(void)
{
    vec4 sum = vec4(0.0);
    
    if (gaussActive == 1) {
        // blur in y (vertical)

        sum += texture(tex0, vec2(texCoord.x, texCoord.y - 3.0*blurSize)) * 0.0016;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y - 2.0*blurSize)) * 0.0366;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y - blurSize)) * 0.2387;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y)) * 0.4460;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y + blurSize)) * 0.2387;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y + 2.0*blurSize)) * 0.0366;
        sum += texture(tex0, vec2(texCoord.x, texCoord.y + 3.0*blurSize)) * 0.0016;
        
    } else{
        sum = texture(tex0, texCoord);
    }
    
    
    outputFrag = sum;
}
